Package org.eclipse.ui.commands

## Interface ICommandManager

    @Deprecated
    public interface ICommandManager

Deprecated.
Please use the "org.eclipse.core.commands" plug-in instead.

An instance of `ICommandManager` can be used to obtain instances of `ICommand`, as well as manage whether or not those instances are active or inactive, enabled or disabled.

This interface is not intended to be extended or implemented by clients.

Since:
  3.0
See Also:
  `ICommand`, `ICommandManagerListener`, `CommandManager`
Restriction:
  This interface is not intended to be implemented by clients.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addCommandManagerListener​(ICommandManagerListener commandManagerListener)` Deprecated.
`Set` `getActiveContextIds()` Deprecated.
`String` `getActiveKeyConfigurationId()` Deprecated.
`String` `getActiveLocale()` Deprecated.
`String` `getActivePlatform()` Deprecated.
`ICategory` `getCategory​(String categoryId)` Deprecated.
`ICommand` `getCommand​(String commandId)` Deprecated.
`Set` `getDefinedCategoryIds()` Deprecated.
`Set` `getDefinedCommandIds()` Deprecated.
`Set` `getDefinedKeyConfigurationIds()` Deprecated.
`IKeyConfiguration` `getKeyConfiguration​(String keyConfigurationId)` Deprecated.
`Map` `getPartialMatches​(KeySequence keySequence)` Deprecated.
`String` `getPerfectMatch​(KeySequence keySequence)` Deprecated.
`boolean` `isPartialMatch​(KeySequence keySequence)` Deprecated.
`boolean` `isPerfectMatch​(KeySequence keySequence)` Deprecated.
`void` `removeCommandManagerListener​(ICommandManagerListener commandManagerListener)` Deprecated.

### Method Detail

#### addCommandManagerListener

    @Deprecated
    void addCommandManagerListener​(ICommandManagerListener commandManagerListener)

Deprecated.
Registers an instance of `ICommandManagerListener` to listen for changes to attributes of this instance.

Parameters:
  `commandManagerListener` - the instance of `ICommandManagerListener` to register. Must not be `null`. If an attempt is made to register an instance of `ICommandManagerListener` which is already registered with this instance, no operation is performed.

#### getActiveContextIds

    @Deprecated
    Set getActiveContextIds()

Deprecated.
Returns the set of identifiers to active contexts.

Notification is sent to all registered listeners if this property changes.

Returns:
  the set of identifiers to active contexts. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

#### getActiveKeyConfigurationId

    @Deprecated
    String getActiveKeyConfigurationId()

Deprecated.
Returns the active key configuration.

Notification is sent to all registered listeners if this property changes.

Returns:
  the active key configuration identifier. This set may be empty, but it is guaranteed to not be `null`. If this set is not empty, it is guaranteed to only contains instances of `String`.

#### getActiveLocale

    @Deprecated
    String getActiveLocale()

Deprecated.
Returns the active locale. While this property tends to be simply the result of `Locale.getDefault()`, it may also be changed at runtime by different implementations of command manager.

Notification is sent to all registered listeners if this property changes.

Returns:
  the active locale. May be `null`.

#### getActivePlatform

    @Deprecated
    String getActivePlatform()

Deprecated.
Returns the active platform. While this property tends to be simply the result of `SWT.getPlatform()`, it may also be changed at runtime by different implementations of command manager.

Notification is sent to all registered listeners if this property changes.

Returns:
  the active platform. May be `null`.

#### getCategory

    @Deprecated
    ICategory getCategory​(String categoryId)

Deprecated.
Returns a handle to a category given an identifier.

Parameters:
  `categoryId` - an identifier. Must not be `null`
Returns:
  a handle to a category.

#### getCommand

    @Deprecated
    ICommand getCommand​(String commandId)

Deprecated.
Returns a handle to a command given an identifier.

Parameters:
  `commandId` - an identifier. Must not be `null`
Returns:
  a handle to a command; never `null`.

#### getDefinedCategoryIds

    @Deprecated
    Set getDefinedCategoryIds()

Deprecated.

Returns the set of identifiers to defined categories.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  the set of identifiers to defined categories. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

#### getDefinedCommandIds

    @Deprecated
    Set getDefinedCommandIds()

Deprecated.

Returns the set of identifiers to defined commands.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  the set of identifiers to defined commands. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

#### getDefinedKeyConfigurationIds

    @Deprecated
    Set getDefinedKeyConfigurationIds()

Deprecated.

Returns the set of identifiers to defined key configurations.

Notification is sent to all registered listeners if this attribute changes.

Returns:
  the set of identifiers to defined key configurations. This set may be empty, but is guaranteed not to be `null`. If this set is not empty, it is guaranteed to only contain instances of `String`.

#### getKeyConfiguration

    @Deprecated
    IKeyConfiguration getKeyConfiguration​(String keyConfigurationId)

Deprecated.
Returns a handle to a key configuration given an identifier.

Parameters:
  `keyConfigurationId` - an identifier. Must not be `null`
Returns:
  a handle to a key configuration.

#### getPartialMatches

    @Deprecated
    Map getPartialMatches​(KeySequence keySequence)

Deprecated.
Finds all of the commands which have key bindings that start with the given key sequence.

Parameters:
  `keySequence` - The prefix to look for; must not be `null`.
Returns:
  A map of all of the matching key sequences ( `KeySequence`) to command identifiers ( `String`). This map may be empty, but it is never `null`.

#### getPerfectMatch

    @Deprecated
    String getPerfectMatch​(KeySequence keySequence)

Deprecated.
Finds the command which has the given key sequence as one of its key bindings.

Parameters:
  `keySequence` - The key binding to look for; must not be `null`.
Returns:
  The command id for the matching command, if any; `null` if none.

#### isPartialMatch

    @Deprecated
    boolean isPartialMatch​(KeySequence keySequence)

Deprecated.
Checks to see whether there are any commands which have key bindings that start with the given key sequence.

Parameters:
  `keySequence` - The prefix to look for; must not be `null`.
Returns:
  `true` if at least one command has a key binding that starts with `keySequence`;`false` otherwise.

#### isPerfectMatch

    @Deprecated
    boolean isPerfectMatch​(KeySequence keySequence)

Deprecated.
Checks to see if there is a command with the given key sequence as one of its key bindings.

Parameters:
  `keySequence` - The key binding to look for; must not be `null`.
Returns:
  `true` if a command has a matching key binding; `false` otherwise.

#### removeCommandManagerListener

    @Deprecated
    void removeCommandManagerListener​(ICommandManagerListener commandManagerListener)

Deprecated.
Unregisters an instance of `ICommandManagerListener` listening for changes to attributes of this instance.

Parameters:
  `commandManagerListener` - the instance of `ICommandManagerListener` to unregister. Must not be `null`. If an attempt is made to unregister an instance of `ICommandManagerListener` which is not already registered with this instance, no operation is performed.